'use strict';

var angular = require('angular');
require('./modules');
require('uiRouter');

var module = angular.module('infoRelease.routes');

module.config(function($stateProvider) {
  $stateProvider
    .state('infoRelease-infoReleaseGroup', {
      url: '/infoRelease/inforeleasegroup',
      templateUrl: 'views/infoRelease/infoReleaseGroup.tpl.html',
      controller: 'InfoReleaseGroupCtrl as infoReleaseGroupCtrl',
      data: {
        title: '信息发布',
        url: 'infoRelease-infoReleaseGroup'
      }
    })
    .state('infoRelease-infoReleaseMore', {
      url: '/infoRelease/inforeleasemore/:modelId?modelName&pageNo&enterSign',
      templateUrl: 'views/infoRelease/infoReleaseMore.tpl.html',
      controller: 'InfoReleaseMoreCtrl as infoReleaseMoreCtrl'
    })
    .state('infoRelease-infoReleaseMoreOffice', {
      url: '/infoRelease/infoReleaseMoreOffice/:modelId?listUrl&modelName&pageNo&enterSign',
      templateUrl: 'views/infoRelease/infoReleaseMoreOffice.tpl.html',
      controller: 'InfoReleaseMoreCtrl as infoReleaseMoreCtrl'
    })
    .state('infoRelease-infoReleaseMoreCggs', {
      url: '/infoRelease/infoReleaseMoreCggs/:modelId?modelName&pageNo&enterSign',
      templateUrl: 'views/infoRelease/infoReleaseMoreCggs.tpl.html',
      controller: 'InfoReleaseMoreCtrl as infoReleaseMoreCtrl',
      data: {
        title: '出国公示',
        url: 'infoRelease-infoReleaseMoreCggs'
      }
    })
    .state('infoRelease-infoReleaseMoreCcdt', {
      url: '/infoRelease/infoReleaseMoreCcdt',
      templateUrl: 'views/infoRelease/infoReleaseCcdt.tpl.html',
      controller: 'InfoReleaseCcdtCtrl as infoReleaseListCtrl',
      data: {
        title: '出差动态-',
        url: 'infoRelease-infoReleaseMoreCcdt'
      }
    });
});
